Package org.apache.ignite.internal.processors.timeout

## Interface GridTimeoutObject

All Known Implementing Classes:
  `GridCacheDistributedFieldsQueryFuture`, `GridCacheDistributedQueryFuture`, `GridCacheLocalFieldsQueryFuture`, `GridCacheLocalQueryFuture`, `GridCacheQueryFutureAdapter`, `GridJobWorker`, `GridNearTxLocal`, `GridSpiTimeoutObject`, `GridTaskWorker`, `GridTimeoutObjectAdapter`, `GridTimeoutProcessor.CancelableTask`, `JobWorkerInterruptionTimeoutObject`, `PartitionDefferedDeleteQueueCleanupTask`

    public interface GridTimeoutObject

All objects that can timeout should implement this interface.

### Method Summary

All Methods Instance Methods Abstract Methods
`long` `endTime()`
`void` `onTimeout()` Timeout callback.
`IgniteUuid` `timeoutId()`

### Method Detail

#### timeoutId

    IgniteUuid timeoutId()

Returns:
  ID of the object.

#### endTime

    long endTime()

Returns:
  End time.

#### onTimeout

    void onTimeout()

Timeout callback.